package com.learnfiles.gmailinbox.helper;


import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.content.Context;
import android.view.View;

import com.learnfiles.gmailinbox.R;

public class FlipAnimator {
    static AnimatorSet leftIn,righttOut,leftOut,rightIn;

    public static void flipView(Context context, final View back, final View front,boolean showFront)
    {
        leftIn=(AnimatorSet) AnimatorInflater.loadAnimator(context, R.animator.card_flip_left_in);
        righttOut=(AnimatorSet) AnimatorInflater.loadAnimator(context, R.animator.card_flip_right_out);
        leftOut=(AnimatorSet) AnimatorInflater.loadAnimator(context, R.animator.card_flip_left_out);
        rightIn=(AnimatorSet) AnimatorInflater.loadAnimator(context, R.animator.card_flip_right_in);

        final AnimatorSet showFrontAnim=new AnimatorSet();
        final AnimatorSet showBackAnim=new AnimatorSet();

        leftIn.setTarget(back);
        righttOut.setTarget(front);
        showFrontAnim.playTogether(leftIn,righttOut);


        leftOut.setTarget(back);
        rightIn.setTarget(front);

        showBackAnim.playTogether(rightIn,leftOut);


        if (showFront)
        {
            showFrontAnim.start();
        }else
        {
            showBackAnim.start();

        }


    }

}
